/* $Id: logfile.cpp 319 2009-10-19 14:06:42Z oh2gve $
 * 
 * Copyright 2007, 2008, 2009 Tapio Aaltonen
 *
 * 
 * This file is part of aprsg.
 *
 * aprsg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * aprsg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with aprsg.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 * APRS is a registered trademark of APRS Software and Bob Bruninga, WB4APR.
*/

// own stuff.
#include "logfile.h"

// std stuff.
#include <string>
using std::string;
#include <fstream>
using std::ofstream;
#include <ios>


Logfile::Logfile(char const* filename):
filenamegiven_(!string(filename).empty()), file_(filename, std::ios::app)
{
}

Logfile::~Logfile()
{
}

void Logfile::write(std::string const& line)
{
   // Stop here if file is not there.
   if ( !file_ )
   {
      return;
   }
   
   // Write the line to log now.
   file_ << line;
   file_.flush();
}

bool Logfile::operator!() const
{
   if ( filenamegiven_ )
   {
      return !file_;
   }
   
   return false;
}
